import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService } from 'src/app/services/auth.service';

@Component({
  templateUrl: './auth.component.html'
})
export class AuthComponent implements OnInit {

  constructor(
    private activatedRoute: ActivatedRoute,
    private router: Router,
    private auth: AuthService
  ) {
  }

  ngOnInit() {
    this.activatedRoute.queryParams.subscribe(params => {
      if (params.code) {
        this.getAccessToken(params.code, params.state);
      }
    });
  }

  getAccessToken(code: string, state: string) {
    this.auth.getAccessToken(code, state).subscribe(response => {
      this.router.navigate(['/']);
    });
  }
}
