import { Injectable } from '@angular/core';
import { HttpInterceptor, HttpRequest, HttpHandler, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs';
import { LocalStorageService } from 'angular-2-local-storage';

@Injectable()
export class AppHttpInterceptor implements HttpInterceptor {

  constructor(private storage: LocalStorageService) {
  }

  intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>> {

    const accessToken = this.storage.get('accessToken');

    if (!req.headers.has('Authorization') && accessToken) {
      const request = req.clone({
        headers: req.headers.set('Authorization', 'Bearer ' + accessToken)
      });
      return next.handle(request);
    }

    return next.handle(req);
  }
}
