import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';
import { map } from 'rxjs/operators';

@Injectable({
  providedIn: 'root'
})
export class PostService {

  constructor(private http: HttpClient) { }

  public getPosts(page: number): Observable<any> {
    return this.http.get(environment.apiUrl + '/posts?include=user&page=' + page)
      .pipe(map((response: any) => {

        const posts = [];

        for (const p of response.data) {
          p.user = response.included.find(u => u.id === p.relationships.user.data.id);
          posts.push(p);
        }

        response.data = posts;
        return response;
      }));
  }
}
